Get importer keys Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/import/keys/{importer}/{mode}

Path parameters

  • importer string Required

    the importer type to get keys for, valid types are ['plans','client','valuations']

  • mode string Required

    Optional parameter.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • keys array[string]

      List of keys for the specified importer

  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
GET /api/v1/import/keys/{importer}/{mode}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/import/keys/plans/{"summary" => "When the value is omitted", "value" => ""}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "keys": [
    "name",
    "uuid",
    "client_uuid",
    "type",
    "sub_type",
    "provider_uuid",
    "policy_number"
  ]
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}